{
  "log": {
    "level": "warn",
    "output": "box.log",
    "timestamp": true
  },
  "dns": {
    "servers": [
      {
        "tag": "dns-remote",
        "address": "udp://1.1.1.1",
        "address_resolver": "dns-direct"
      },
      {
        "tag": "dns-trick-direct",
        "address": "https://sky.rethinkdns.com/",
        "detour": "direct-fragment"
      },
      {
        "tag": "dns-direct",
        "address": "1.1.1.1",
        "address_resolver": "dns-local",
        "detour": "direct"
      },
      {
        "tag": "dns-local",
        "address": "local",
        "detour": "direct"
      },
      {
        "tag": "dns-block",
        "address": "rcode://success"
      }
    ],
    "rules": [
      {
        "domain": "cp.cloudflare.com",
        "server": "dns-remote",
        "rewrite_ttl": 3000
      }
    ],
    "final": "dns-remote",
    "static_ips": {
      "sky.rethinkdns.com": [
        "104.17.148.22",
        "104.17.147.22",
        "8.47.69.4",
        "8.6.112.4"
      ]
    },
    "independent_cache": true
  },
  "inbounds": [
    {
      "type": "mixed",
      "tag": "mixed-in",
      "listen": "127.0.0.1",
      "listen_port": 12334,
      "sniff": true,
      "sniff_override_destination": true,
      "set_system_proxy": true
    },
    {
      "type": "direct",
      "tag": "dns-in",
      "listen": "127.0.0.1",
      "listen_port": 16450
    }
  ],
  "outbounds": [
    {
      "type": "selector",
      "tag": "select",
      "outbounds": [
        "auto",
        "vpn_125_136_20 § 0"
      ],
      "default": "auto",
      "interrupt_exist_connections": true
    },
    {
      "type": "urltest",
      "tag": "auto",
      "outbounds": [
        "vpn_125_136_20 § 0"
      ],
      "url": "http://cp.cloudflare.com",
      "interval": "10m0s",
      "tolerance": 1,
      "idle_timeout": "30m0s",
      "interrupt_exist_connections": true
    },
    {
      "type": "xray",
      "tag": "vpn_125_136_20 § 0",
      "xray_outbound_raw": {
        "protocol": "vless",
        "settings": {
          "vnext": [
            {
              "address": "www1.roomyleida.com",
              "port": 443,
              "users": [
                {
                  "encryption": "none",
                  "flow": "xtls-rprx-vision",
                  "id": "865f7d66-1932-4b14-90d6-7d6c65cfdb47"
                }
              ]
            }
          ]
        },
        "streamSettings": {
          "network": "tcp",
          "realitySettings": {
            "fingerprint": "chrome",
            "publicKey": "atZpK7lvksJVxKHUxKEIExoeXugjKlgc5yN-cc-SIhQ",
            "serverName": "www.microsoft.com",
            "shortId": "ae95ba3d68f0",
            "spiderX": ""
          },
          "security": "reality"
        },
        "tag": "vpn_125_136_20"
      },
      "xray_fragment": {
        "packets": "",
        "length": "",
        "interval": "",
        "host1_header": "",
        "host1_domain": "",
        "host2_header": "",
        "host2_domain": ""
      },
      "xray_loglevel": ""
    },
    {
      "type": "dns",
      "tag": "dns-out"
    },
    {
      "type": "direct",
      "tag": "direct"
    },
    {
      "type": "direct",
      "tag": "direct-fragment",
      "tls_fragment": {
        "enabled": true,
        "size": "10-30",
        "sleep": "2-8"
      }
    },
    {
      "type": "direct",
      "tag": "bypass"
    },
    {
      "type": "block",
      "tag": "block"
    }
  ],
  "route": {
    "rules": [
      {
        "inbound": "dns-in",
        "outbound": "dns-out"
      },
      {
        "port": 53,
        "outbound": "dns-out"
      }
    ],
    "final": "select",
    "auto_detect_interface": true,
    "override_android_vpn": true
  },
  "experimental": {
    "cache_file": {
      "enabled": true,
      "path": "clash.db"
    },
    "clash_api": {
      "external_controller": "127.0.0.1:16756",
      "secret": "CUZXIJGzmU1j4NNH"
    }
  }
}
